qspi_mem_context_t Struct Reference

QSPI memory context. More...

## Data Fields

bool | isAddingToBuffer
uint32_t | writeAddress
uint32_t | offset
uint32_t | nextStartAddress
uint8_t | buffer [kQspiMemoryBuffer_MaxPageSize]

## Detailed Description

QSPI memory context.

An instance is maintained in this file, will is used to keep key information for write and flush operatations.

## Field Documentation

uint8_t buffer[kQspiMemoryBuffer_MaxPageSize]

A buffer which is used to buffer a full page of data

bool isAddingToBuffer

State used of determine whether it is the first write at Start address of one page

uint32_t nextStartAddress

A variable is used to indicate if recent two writes are continuous

uint32_t offset

A variable which is used to indicate if the buffer is full.

uint32_t writeAddress

This address is used to record the address which is used to write the whole page into qspi memory

The documentation for this struct was generated from the following file:

- qspi_memory.c